/*

The Life of a Geek
Copyright (C) 2003-2005 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at danq@danq.lunarpages.com

geek.h: Class Geek

1/6/05: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated copyright date.
8/2/04: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated e-mail address
2/3/04: Daniel Quintiliani <coredump0@mercurylink.net>: Updated e-mail address 
and copyright.
6/13/03: Daniel Quintiliani <coredump@coredumpcentral.org>: SetName(), 
GetName(), and constructor with name now use C string.

*/

#ifndef _GEEK_H
#define _GEEK_H

#include <string>

using namespace std;

class Geek
{
	public:
		
		Geek();		// standard constructor, default values
		Geek(Geek& g); // copy constructor
		Geek(const char *sz); // construct with name
		~Geek();	// destructor

		void SetEnergy(int n); // Sets Energy to n
		int GetEnergy();  // Gets energy
		void SetMoney(float f); // Sets Money to f
		float GetMoney();
		void SetName(const char *sz); // Sets Name to sz
		const char* GetName();
		void SetEnergyDrinks(int n); // Sets EnergyDrinks to n
		int GetEnergyDrinks();
		void SetEducation(int n); // Sets Education to n
		int GetEducation();
	
	private:

		int Energy; // The amount of energy
		float Money; // The amount of money
		string Name; // Name of the geek
		int EnergyDrinks; // The amount of energy drinks on hand
		int Education; // The geek's college education in courses
				// 40 required 
};

#endif
